module Asp
  class Common
   
  def Common::version
    return '0.0.1alpha'
  end
  
  def Common::sessionID
    return 'session-id'
  end

  def Common::url_decode( value ) 
    value.tr( "+", " " )
    return value.to_s.gsub(/%[0-9a-fA-F]{2}/n){ |x| sprintf("%s", x[1..-1].hex.chr) }
  end

  def Common::url_encode( s )
    return s.to_s.gsub(/[^a-zA-Z0-9_\-.]/n){ sprintf("%%%02X", $&.unpack("C")[0]) }
  end
  
  def Common::time2str( time )
    return time.strftime( "%a, %d %b %Y %H:%M:%S GMT" ) # Wed, 09 Feb 1994 22:23:32 GMT
  end
  
  def Common::str2time( time )
    return time ## TODO !!!
  end
  
  def Common::html_escape( s )
    return s.to_s.gsub(/&/, "&amp;").gsub(/\"/, "&quot;").gsub(/>/, "&gt;").gsub(/</, "&lt;")
  end

  end
end
